Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book
Class FeatureType

    java.lang.Object
      org.crosswire.jsword.book.FeatureType

All Implemented Interfaces:
  Serializable

    public final class FeatureType

extends Object
implements Serializable

An Enumeration of the possible Features a Book may have.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`, Serialized Form

Field Summary
`static FeatureType` | `DAILY_DEVOTIONS` The book is one of Daily Devotions.
`static FeatureType` | `FOOTNOTES` The book contains footnotes
`static FeatureType` | `GLOSSARY` The book is glossary of translations from one language to another.
`static FeatureType` | `GREEK_DEFINITIONS` The book is one of Greek Definitions.
`static FeatureType` | `GREEK_PARSE` The book is one of Greek word parsings.
`static FeatureType` | `HEADINGS` The book contains Headings
`static FeatureType` | `HEBREW_DEFINITIONS` The book is one of Hebrew Definitions.
`static FeatureType` | `HEBREW_PARSE` The book is one of Hebrew word parsings.
`static FeatureType` | `MORPHOLOGY` The book contains Morphology info
`private String` | `name` The name of the FeatureType
`private static int` | `nextObj`
`private int` | `obj`
`static FeatureType` | `SCRIPTURE_REFERENCES` The book contains Scripture cross references
`private static long` | `serialVersionUID` Serialization ID
`static FeatureType` | `STRONGS_NUMBERS` The book contains Strong's Numbers
`private static FeatureType[]` | `VALUES`
`static FeatureType` | `WORDS_OF_CHRIST` The book marks the Word's of Christ

Constructor Summary
`private` | `FeatureType(String name)`

Method Summary
`static FeatureType` | `fromInteger(int i)` Lookup method to convert from an integer
`static FeatureType` | `fromString(String name)` Lookup method to convert from a String
`(package private) Object` | `readResolve()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### GREEK_DEFINITIONS

    public static final FeatureType GREEK_DEFINITIONS

  The book is one of Greek Definitions. AKA, Strong's.

### GREEK_PARSE

    public static final FeatureType GREEK_PARSE

  The book is one of Greek word parsings. AKA, Robinson.

### HEBREW_DEFINITIONS

    public static final FeatureType HEBREW_DEFINITIONS

  The book is one of Hebrew Definitions. AKA, Strong's.

### HEBREW_PARSE

    public static final FeatureType HEBREW_PARSE

  The book is one of Hebrew word parsings. AKA, ???.

### DAILY_DEVOTIONS

    public static final FeatureType DAILY_DEVOTIONS

  The book is one of Daily Devotions.

### GLOSSARY

    public static final FeatureType GLOSSARY

  The book is glossary of translations from one language to another.

### STRONGS_NUMBERS

    public static final FeatureType STRONGS_NUMBERS

  The book contains Strong's Numbers

### FOOTNOTES

    public static final FeatureType FOOTNOTES

  The book contains footnotes

### SCRIPTURE_REFERENCES

    public static final FeatureType SCRIPTURE_REFERENCES

  The book contains Scripture cross references

### WORDS_OF_CHRIST

    public static final FeatureType WORDS_OF_CHRIST

  The book marks the Word's of Christ

### MORPHOLOGY

    public static final FeatureType MORPHOLOGY

  The book contains Morphology info

### HEADINGS

    public static final FeatureType HEADINGS

  The book contains Headings

### name

    private String name

  The name of the FeatureType

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final FeatureType[] VALUES

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### FeatureType

    private FeatureType(String name)

Parameters:
  `name` - The name of the FeatureType

Method Detail

### fromString

    public static FeatureType fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static FeatureType fromInteger(int i)

  Lookup method to convert from an integer

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD